import abc
from abc import ABC
from typing import Optional

from workspaces.capability.enums import CapabilityStepType
from workspaces.products.schema_interfaces import ProductIF


class CapabilitySequenceIF(ABC):
    pass


class EventTranslatorIF(ABC):
    """
    Translates a Workflow event into a Capability event
    """

    pass


class CapabilityStepIF(ABC):
    """
    A step in a capability sequence
    """

    @property
    @abc.abstractmethod
    def step_type(self) -> CapabilityStepType:
        pass

    @property
    @abc.abstractmethod
    def step_value(self) -> Optional[str]:
        pass

    @property
    @abc.abstractmethod
    def step_args(self) -> Optional[str]:
        pass


class FutureCapabilityResultIF(ProductIF):
    """
    Class that represents a product that will in the future result from a completed
    capability execution
    """

    pass


class ParameterIF(ABC):
    """
    Class that represents a set of capability parameters, a required input for the correct
    and complete execution of a capability
    """

    def json(self) -> str:
        """
        Convert to json-formatted string
        :return: JSON string
        """
        raise NotImplementedError
